// ## Теоретичні питання

// 1. Описати своїми словами у кілька рядків, навіщо у програмуванні потрібні цикли.
// //Якщо треба якусь дію повторювати кілька разів, при цьому змінюючи певні параметри чи перевіряючи певні умови, зручно використовувати цикли.
// 2. Опишіть у яких ситуаціях ви використовували той чи інший цикл в JS.
// // для валідації даних, введених користувачем, для виконання якоїсь дії велику кількість разів
// 3. Що таке явне та неявне приведення (перетворення) типів даних у JS?
// // явне перетворення виконується відповідними операторами String, Number чи Boolean, неявне перетворення типів даних здійснюється застосуванням логічних чи порівняльних операторів.

// ## Завдання

// Реалізувати програму на Javascript, яка знаходитиме всі числа кратні 5 (діляться на 5 без залишку) у заданому діапазоні. Завдання має бути виконане на чистому Javascript без використання бібліотек типу jQuery або React.

// #### Технічні вимоги:

// - Отримати за допомогою модального вікна браузера число, яке введе користувач.
// - Вивести в консолі всі числа, кратні 5, від 0 до введеного користувачем числа. Якщо таких чисел немає - вивести в консоль фразу "Sorry, no numbers"
// - Обов'язково необхідно використовувати синтаксис ES6 (ES2015) для створення змінних.

// #### Необов'язкове завдання підвищеної складності

// - Перевірити, чи введене значення є цілим числом. Якщо ця умова не дотримується, повторювати виведення вікна на екран, доки не буде введено ціле число.
// - Отримати два числа, `m` і `n`. Вивести в консоль усі прості числа (http://ru.math.wikia.com/wiki/%D0%9F%D1%80%D0%BE%D1%81%D1%82%D0%BE%D0%B5_%D1%87%D0%B8%D1%81%D0%BB%D0%BE) в діапазоні від `m` до `n` (менше із введених чисел буде `m`, більше буде `n`). Якщо хоча б одне з чисел не відповідає умовам валідації, зазначеним вище, вивести повідомлення про помилку і запитати обидва числа знову.

// #### Література:

// - [Цикли while, for](https://learn.javascript.ru/while-for)


// #### Основне завдання + Перевірка на ціле число
let myNumber = prompt("Enter your integer number:")
let k = 0 //counter


while ((isNaN(myNumber)) || (myNumber=='') || (!Number.isInteger(Number(myNumber)))){
    myNumber = prompt(`Entered value ${myNumber} is not an integer number. Enter your integer number:`)
   
 }

 for (i=1; i<=myNumber; i++){
    if(i%5==0){
        console.log(i)
        k += 1
    }
}

if (k==0) {
console.log("Sorry, no numbers")
}

// #### Додаткове завдання 
let number1 = prompt("Enter your integer number1:")
let number2 = prompt("Enter your integer number2:")

while (((isNaN(number1)) || (number1=='') || (!Number.isInteger(Number(number1)))) || 
        ((isNaN(number2)) || (number2=='') || (!Number.isInteger(Number(number2))))){
            alert("Entered numbers are invalid. Enter integer numbers:")
            number1 = prompt("Enter your integer number1:")
            number2 = prompt("Enter your integer number2:")
   
 }

 const m = Math.min(number1,number2)
 const n = Math.max(number1,number2)
 for (let i=m; i<=n; i++){
    let k = 0 // counter 
    for(let j=1; j<i; j++){
        if(i%j==0){
            k += 1
        }        
     }
     if (k<=1){
         console.log(i)
     }
 }


